=== debian/changelog ===
ros-kinetic-rc-roi-manager-gui (3.1.0-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-kinetic-rc-roi-manager-gui (3.0.5-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-kinetic-rc-roi-manager-gui (3.0.4-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-kinetic-rc-roi-manager-gui (3.0.3-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-kinetic-rc-roi-manager-gui (3.0.1-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-kinetic-rc-roi-manager-gui (3.0.0-1xenial) xenial; urgency=high

  * fix typo in readme
  * code format
  * Contributors: Felix Ruess

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

ros-kinetic-rc-roi-manager-gui (2.7.0-1xenial) xenial; urgency=high

  * first release

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 18 Jul 2019 22:00:00 -0000
