=== debian/control ===
Source: ros-kinetic-rc-roi-manager-gui
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), libwxgtk3.0-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-rc-common-msgs, ros-kinetic-rc-pick-client, ros-kinetic-roscpp, ros-kinetic-shape-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: http://wiki.ros.org/rc_roi_manager_gui
Standards-Version: 3.9.2

Package: ros-kinetic-rc-roi-manager-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwxgtk3.0-dev, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-message-runtime, ros-kinetic-rc-common-msgs, ros-kinetic-rc-pick-client, ros-kinetic-roscpp, ros-kinetic-shape-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: The ros client for the region of interest manager of the itempick and boxpick modules
